Skip to main content
GET
List Seasons

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

season_set
string
required

The id or the vid of the Season Set to retrieve A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128

Response

JJSON A list array with a data property that contains an array of up to limit Season. Each entry in the array is a full Season object. If no more Seasons are available, the resulting array will be empty. This request should never throw an error..\n A list of SeasonSet objects matching the query. Also:\n

  • "total_count": Integer count of the number of SeasonSets in the returned list.\n
  • "url": The query string provided in the request\n
object
string
data
object

The SeasonSet object defines an array of seasons, with an identifier.

total_count
integer<int32>

Integer count of the number of SeasonSet objects in the returned list.

url
string

The query string provided in the request

Example:

"{ \"object\": \"List\", \"data\": [ { \"object\": \"Season\", \"description\": \"Yearly season subscription\", \"starts\": \"2022-12-31T00:00:00+00:00\", \"ends\": \"2023-01-06T00:00:00+00:00\" }, { \"object\": \"Season\", \"description\": \"Yearly season subscription\", \"starts\": \"2023-12-31T00:00:00+00:00\", \"ends\": \"2024-01-06T00:00:00+00:00\" } ], \"total_count\": 2, \"url\": \"/season_sets/seasonset_1/seasons\" }"